Retail Express API 2.1

Searches Customers by parameters

Searches Customers by parameters

get
https://api.retailexpress.com.au/v2/customers

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

order_bystring | null

Order by.

Available field name values: id, customer_number, email, mobile, first_name, last_name, company, customer_type_name, receive_email, receive_post, receive_sms,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
account_customer_enabled, account_customer_payment_terms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, account_customer_credit_limit, account_customer_credit_remaining, sales_channel:id

Available direction values: id asc, customer_number desc.

Example: id asc, supplier desc

filter_bystring | null

Filter by.

Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit, account_customer_credit_remaining,
billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:303062, sales_channel:3039:eq:true

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customers data

Customer.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers
 
application/json

Creates Customer

Sample request:

 POST /customers
    {
         "first_name": "FirstNameUser",
         "last_name": "LastNameUser",
         "company": "company",
         "abn": "abn",
         "phone": "+321",
         "fax": "fax",
         "mobile": "+123",
         "email": "email@lel.org",
         "website": "website.org",
         "custom_reference": "customReference",
         "export_to_web": true,
         "customer_type": {
                "name": "type1",
                "id": 5
         },
         "home_outlet": {
                "id": 1,
                "name": "name"
         },
         "date_of_birth": "1999-04-30",
         "date_of_birth_withheld": false,
         "marketing":{
                "receive_email": true,
                "receive_post": true,
                "receive_sms": true
         }, 
         "price_groups": [
           {
                "id": 1,
                "name": "name1",
                "type": "Standard"
           },
           {
                "id": 5,
                "name": "name2",
                "type": "Fixed"
          }],
         "billing_address": {
             "address_line1": "address_line1",
             "address_line2": "address_line2",
             "suburb": "suburb",
             "state": "state",
             "postcode": "postcode",
             "country": "country",
             "email": "sampleemail@kek.au"
         },
         "loyalty_program": {
             "enabled": false,
             "auto_price_group": false
         },
         "account_customer": {
             "enabled": false,
             "payment_terms": 0,
             "credit_limit": 0,
             "credit_blocked": false,
             "credit_remaining": 10
         },
         "survey_responses": [{
             "id": 1,
             "question": "question1",
             "answer": "answer"
         }]
    }
post
https://api.retailexpress.com.au/v2/customers

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Customer created

Customer

Customer model

* Additional properties are NOT allowed.
account_customerobject

Account customer view model

* Additional properties are NOT allowed.
Show Child Parameters
abnstring | null

Abn

billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
companystring | null

Company

customer_numberstring | null

Customer number

customer_typeobject

Customer type model

* Additional properties are NOT allowed.
Show Child Parameters
date_of_birthstring | null

Date of birth

date_of_birth_withheldboolean

Date of birth with held

delivery_addressesarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
emailstring | null

Email

faxstring | null

Fax

first_namestring | null

First name

idinteger(int32)

Identifier

last_namestring | null

Last name

loyalty_programobject

Loyalty program model

* Additional properties are NOT allowed.
Show Child Parameters
marketingobject

Marketing view model

* Additional properties are NOT allowed.
Show Child Parameters
mobilestring | null

Mobile

phonestring | null

Phone

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
survey_responsesarray | null[object]

Survey Response model

* Additional properties are NOT allowed.
Show Child Parameters
websitestring | null

Website

home_outletobject

Customer Outlet Model

* Additional properties are NOT allowed.
Show Child Parameters
custom_referencestring | null

Custom reference

export_to_webboolean

Export to web

sales_channelsarray | null[object]

CustomerSalesChannel Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

post/customers

Body

{}
 
application/json

Gets specific Customer by unique id

Gets specific Customer by unique id

get
https://api.retailexpress.com.au/v2/customers/{id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer

Customer

Customer model

* Additional properties are NOT allowed.
account_customerobject

Account customer view model

* Additional properties are NOT allowed.
Show Child Parameters
abnstring | null

Abn

billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
companystring | null

Company

customer_numberstring | null

Customer number

customer_typeobject

Customer type model

* Additional properties are NOT allowed.
Show Child Parameters
date_of_birthstring | null

Date of birth

date_of_birth_withheldboolean

Date of birth with held

delivery_addressesarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
emailstring | null

Email

faxstring | null

Fax

first_namestring | null

First name

idinteger(int32)

Identifier

last_namestring | null

Last name

loyalty_programobject

Loyalty program model

* Additional properties are NOT allowed.
Show Child Parameters
marketingobject

Marketing view model

* Additional properties are NOT allowed.
Show Child Parameters
mobilestring | null

Mobile

phonestring | null

Phone

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
survey_responsesarray | null[object]

Survey Response model

* Additional properties are NOT allowed.
Show Child Parameters
websitestring | null

Website

home_outletobject

Customer Outlet Model

* Additional properties are NOT allowed.
Show Child Parameters
custom_referencestring | null

Custom reference

export_to_webboolean

Export to web

sales_channelsarray | null[object]

CustomerSalesChannel Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

get/customers/{id}
 
application/json

Updates Customer

Sample request:

 PUT /customers
    {
         "first_name": "FirstNameUser",
         "last_name": "LastNameUser",
         "company": "company",
         "abn": "abn",
         "phone": "+321",
         "fax": "fax",
         "mobile": "+123",
         "email": "email@lel.org",
         "website": "website.org",
         "custom_reference": "customReference",
         "customer_type": {
                "name": "type1",
                "id": 5
         },
         "home_outlet": {
                "id": 1,
                "name": "name"
         },
         "date_of_birth": "1999-04-30",
         "date_of_birth_withheld": false,
         "marketing":{
                "receive_email": true,
                "receive_post": true,
                "receive_sms": true
         }, 
         "price_groups": [
           {
                "id": 1,
                "name": "name1",
                "type": "Standard"
           },
           {
                "id": 5,
                "name": "name2",
                "type": "Fixed"
          }],
         "billing_address": {
             "address_line1": "address_line1",
             "address_line2": "address_line2",
             "suburb": "suburb",
             "state": "state",
             "postcode": "postcode",
             "country": "country",
             "email": "sampleemail@kek.au"
         },
         "loyalty_program": {
             "enabled": false,
             "auto_price_group": false
         },
         "account_customer": {
             "enabled": false,
             "payment_terms": 0,
             "credit_limit": 0,
             "credit_blocked": false,
             "credit_remaining": 10
         },
         "survey_responses": [{
             "id": 1,
             "question": "question1",
             "answer": "answer"
         }]
    }
put
https://api.retailexpress.com.au/v2/customers/{id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Customer model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Customer

Customer

Customer model

* Additional properties are NOT allowed.
account_customerobject

Account customer view model

* Additional properties are NOT allowed.
Show Child Parameters
abnstring | null

Abn

billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
companystring | null

Company

customer_numberstring | null

Customer number

customer_typeobject

Customer type model

* Additional properties are NOT allowed.
Show Child Parameters
date_of_birthstring | null

Date of birth

date_of_birth_withheldboolean

Date of birth with held

delivery_addressesarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
emailstring | null

Email

faxstring | null

Fax

first_namestring | null

First name

idinteger(int32)

Identifier

last_namestring | null

Last name

loyalty_programobject

Loyalty program model

* Additional properties are NOT allowed.
Show Child Parameters
marketingobject

Marketing view model

* Additional properties are NOT allowed.
Show Child Parameters
mobilestring | null

Mobile

phonestring | null

Phone

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
survey_responsesarray | null[object]

Survey Response model

* Additional properties are NOT allowed.
Show Child Parameters
websitestring | null

Website

home_outletobject

Customer Outlet Model

* Additional properties are NOT allowed.
Show Child Parameters
custom_referencestring | null

Custom reference

export_to_webboolean

Export to web

sales_channelsarray | null[object]

CustomerSalesChannel Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

put/customers/{id}

Body

{}
 
application/json

Searches Delivery Addresses by Customer id and other parameters

Searches Delivery Addresses by Customer id and other parameters

get
https://api.retailexpress.com.au/v2/customers/{id}/deliveryaddresses

Query Parameters

defaultboolean | null

Is default

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Customer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Delivery Address data

DeliveryAddress.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers/{id}/deliveryaddresses
 
application/json